Update repeating plans
POST
/vehicles/{name}/plan/repeating
const url = 'https://demo.evcc.io/api/vehicles/vehicle_1/plan/repeating';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '[{"weekdays":[1],"time":"example","tz":"example","soc":1,"active":true}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.evcc.io/api/vehicles/vehicle_1/plan/repeating \ --header 'Content-Type: application/json' \ --data '[ { "weekdays": [ 1 ], "time": "example", "tz": "example", "soc": 1, "active": true } ]'Updates the repeating charging plan.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Array<object>
A repeating charging plan.
object
weekdays
required
Weekdays the plan is active. 0 is Sunday, 6 is Saturday.
Array<number>
time
required
Target time in HH:MM format.
string
tz
required
Time zone of the target time, like Europe/Berlin.
string
soc
required
SoC goal in %.
number
active
required
Plan is active.
boolean
Examplegenerated
[ { "weekdays": [ 1 ], "time": "example", "tz": "example", "soc": 1, "active": true }]Responses
Section titled “Responses”Success
Media typeapplication/json
Array<object>
A repeating charging plan.
object
weekdays
required
Weekdays the plan is active. 0 is Sunday, 6 is Saturday.
Array<number>
time
required
Target time in HH:MM format.
string
tz
required
Time zone of the target time, like Europe/Berlin.
string
soc
required
SoC goal in %.
number
active
required
Plan is active.
boolean
Examplegenerated
[ { "weekdays": [ 1 ], "time": "example", "tz": "example", "soc": 1, "active": true }]